import dotenv from "dotenv";
import amqplib from "amqplib";

dotenv.config();

(async () => {
  const queue = "kk.mails";
  const conn = await amqplib.connect(
    `amqp://${process.env.RABBITMQ_USERNAME}:${process.env.RABBITMQ_PASSWORD}@${process.env.RABBITMQ_HOST}:${process.env.RABBITMQ_PORT}`
  );

  // Sender
  const ch2 = await conn.createChannel();

  let data = {
    m: "jan@umbach.dev", // UserMail
    t: "emailVerification", // TemplateId
    l: "de", // LanguageId
    // BodyData
    b: {
      activation_code: "123456",
    },
  };

  //setInterval(() => {
  ch2.sendToQueue(queue, Buffer.from(JSON.stringify(data)));
  console.log("Sent:", data);
  //}, 1000);
})();
